javax.persistence

## Class PessimisticLockException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.PessimisticLockException

- All Implemented Interfaces:
    Serializable

      public class PessimisticLockException
      extends PersistenceException

  Thrown by the persistence provider when an pessimistic locking conflict occurs. This exception may be thrown as part of an API call, a flush or at commit time. The current transaction, if one is active, will be marked for rollback.
  Since:
    Java Persistence 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PessimisticLockException()` Constructs a new `PessimisticLockException` exception with `null` as its detail message.
    `PessimisticLockException(Object entity)` Constructs a new `PessimisticLockException` exception with the specified entity.
    `PessimisticLockException(String message)` Constructs a new `PessimisticLockException` exception with the specified detail message.
    `PessimisticLockException(String message, Throwable cause)` Constructs a new `PessimisticLockException` exception with the specified detail message and cause.
    `PessimisticLockException(String message, Throwable cause, Object entity)` Constructs a new `PessimisticLockException` exception with the specified detail message, cause, and entity.
    `PessimisticLockException(Throwable cause)` Constructs a new `PessimisticLockException` exception with the specified cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getEntity()` Returns the entity that caused this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PessimisticLockException

          public PessimisticLockException()

      Constructs a new `PessimisticLockException` exception with `null` as its detail message.

    - #### PessimisticLockException

          public PessimisticLockException(String message)

      Constructs a new `PessimisticLockException` exception with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### PessimisticLockException

          public PessimisticLockException(String message,
                                  Throwable cause)

      Constructs a new `PessimisticLockException` exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause.

    - #### PessimisticLockException

          public PessimisticLockException(Throwable cause)

      Constructs a new `PessimisticLockException` exception with the specified cause.
      Parameters:
        `cause` - the cause.

    - #### PessimisticLockException

          public PessimisticLockException(Object entity)

      Constructs a new `PessimisticLockException` exception with the specified entity.
      Parameters:
        `entity` - the entity.

    - #### PessimisticLockException

          public PessimisticLockException(String message,
                                  Throwable cause,
                                  Object entity)

      Constructs a new `PessimisticLockException` exception with the specified detail message, cause, and entity.
      Parameters:
        `message` - the detail message.
        `cause` - the cause.
        `entity` - the entity.

  - ### Method Detail

    - #### getEntity

          public Object getEntity()

      Returns the entity that caused this exception.
      Returns:
        the entity.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.